Skip to main content
GET
/
api
/
v1
/
oauth-apps
/
{id}
Get OAuth app
curl --request GET \
  --url https://api.example.com/api/v1/oauth-apps/{id} \
  --header 'Authorization: Bearer <token>'
{
  "client_id": "<string>",
  "client_secret_hint": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "is_active": true,
  "name": "<string>",
  "organization_id": "<string>",
  "redirect_uris": [
    "<string>"
  ],
  "scopes": [
    "<string>"
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<MeteroidId>
required

OAuth app ID

Example:

"app_7n42DGM5Tflk9n8mt7Fhc7"

Response

OAuth app

An OAuth application registered by a platform

client_id
string
required
client_secret_hint
string
required
created_at
string<date-time>
required
id
string<MeteroidId>
required
Example:

"app_7n42DGM5Tflk9n8mt7Fhc7"

is_active
boolean
required
name
string
required
organization_id
string<MeteroidId>
required
Example:

"org_7n42DGM5Tflk9n8mt7Fhc7"

redirect_uris
string[]
required
scopes
string[]
required
updated_at
string<date-time> | null